## llmnrd 0.2.1

=== debian/changelog ===
llmnrd (0.2.1-2) unstable; urgency=low

  * Run llmnrd daemon as user nobody (Closes: #849952)
  * Clean up llmnrd init script and add action try-restart (Closes: #849957)

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 07 Jan 2017 13:35:23 +0100

llmnrd (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #848880)

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 24 Dec 2016 11:50:49 +0100
