=== debian/changelog ===
llmnrd (0.3-1) unstable; urgency=medium

  * New upstream release
  * Do not change CFLAGS in debian/ruls (upstream fixed *FLAGS support)
  * Update debian/watch (upstream does not provide PGP signed tarballs)

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 25 Jan 2017 21:20:23 +0100
