=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/llmnrd-$1\.tar\.gz/ https://github.com/tklauser/llmnrd/releases .*/archive/v?(\d\S+)\.tar\.gz debian uupdate
