=== debian/changelog ===
llmnrd (0.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch as upstream again provides PGP signed tarballs

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 02 Nov 2017 22:35:11 +0100
