=== debian/control ===
Source: llmnrd
Section: net
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://github.com/tklauser/llmnrd

Package: llmnrd
Architecture: linux-any
Depends: lsb-base (>= 3.2-14), ${shlibs:Depends}, ${misc:Depends}
Description: Link-Local Multicast Resolution (LLMNR) Daemon for Linux
 llmnrd is a daemon implementing the Link-Local Multicast Name Resolution
 (LLMNR) protocol according to RFC 4795. It currently only supports Linux,
 as it uses the netlink kernel interface.
 .
 llmnrd will respond to name resolution queries sent by Windows clients in
 networks where no DNS server is available. It supports both IPv4 and IPv6.
