=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export prefix = /usr
export GIT_VERSION =
export Q =

%:
	dh $@
