=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/tklauser/llmnrd/releases /download/[^/]+/llmnrd-([^/]+)\.tar\.(?:gz|bz2) debian uupdate
